Bug 853539 - [abrt] pacemaker-1.1.8-1.el7: crm_abort: Process /usr/libexec/pacemaker/crmd was killed by signal 6 (SIGABRT)
[abrt] pacemaker-1.1.8-1.el7: crm_abort: Process /usr/libexec/pacemaker/crmd ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pacemaker (Show other bugs)
7.0
x86_64 Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Andrew Beekhof
Cluster QE
abrt_hash:f30c13b4bf81a89e2e8470d22ff...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-31 15:45 EDT by Nate Straz
Modified: 2014-06-16 02:32 EDT (History)
0 users

See Also:
Fixed In Version: pacemaker-1.1.8-3.el7
Doc Type: Bug Fix
Doc Text:
Cause: The software assumed a variable would never be NULL and dereferenced it. Consequence: The program crashed. Fix: Check for NULL first. Result: Program no longer crashes
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-16 02:32:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (1.88 KB, text/plain)
2012-08-31 15:45 EDT, Nate Straz
no flags Details
File: environ (386 bytes, text/plain)
2012-08-31 15:45 EDT, Nate Straz
no flags Details
File: backtrace (11.46 KB, text/plain)
2012-08-31 15:45 EDT, Nate Straz
no flags Details
File: limits (1.29 KB, text/plain)
2012-08-31 15:45 EDT, Nate Straz
no flags Details
File: cgroup (164 bytes, text/plain)
2012-08-31 15:45 EDT, Nate Straz
no flags Details
File: maps (18.58 KB, text/plain)
2012-08-31 15:45 EDT, Nate Straz
no flags Details
File: dso_list (3.71 KB, text/plain)
2012-08-31 15:45 EDT, Nate Straz
no flags Details
File: build_ids (1.76 KB, text/plain)
2012-08-31 15:45 EDT, Nate Straz
no flags Details
File: var_log_messages (13.00 KB, text/plain)
2012-08-31 15:45 EDT, Nate Straz
no flags Details
File: open_fds (188 bytes, text/plain)
2012-08-31 15:45 EDT, Nate Straz
no flags Details

  None (edit)
Description Nate Straz 2012-08-31 15:45:15 EDT
Description of problem:
Started pacemaker on a cluster node.

Version-Release number of selected component:
pacemaker-1.1.8-1.el7

Additional info:
libreport version: 2.0.12
abrt_version:   2.0.11
backtrace_rating: 4
cmdline:        /usr/libexec/pacemaker/crmd
crash_function: crm_abort
kernel:         3.5.0-0.24.el7.x86_64

truncated backtrace:
:Thread no. 1 (8 frames)
: #2 crm_abort at utils.c
: #5 g_return_if_fail_warning at gmessages.c
: #6 do_lrm_control at lrm.c
: #7 s_crmd_fsa_actions at fsa.c
: #8 s_crmd_fsa at fsa.c
: #9 crm_fsa_trigger at callbacks.c
: #10 crm_trigger_dispatch at mainloop.c
: #16 crmd_init at main.c
Comment 1 Nate Straz 2012-08-31 15:45:17 EDT
Created attachment 608648 [details]
File: core_backtrace
Comment 2 Nate Straz 2012-08-31 15:45:18 EDT
Created attachment 608649 [details]
File: environ
Comment 3 Nate Straz 2012-08-31 15:45:20 EDT
Created attachment 608650 [details]
File: backtrace
Comment 4 Nate Straz 2012-08-31 15:45:21 EDT
Created attachment 608651 [details]
File: limits
Comment 5 Nate Straz 2012-08-31 15:45:22 EDT
Created attachment 608652 [details]
File: cgroup
Comment 6 Nate Straz 2012-08-31 15:45:24 EDT
Created attachment 608653 [details]
File: maps
Comment 7 Nate Straz 2012-08-31 15:45:25 EDT
Created attachment 608654 [details]
File: dso_list
Comment 8 Nate Straz 2012-08-31 15:45:27 EDT
Created attachment 608655 [details]
File: build_ids
Comment 9 Nate Straz 2012-08-31 15:45:28 EDT
Created attachment 608656 [details]
File: var_log_messages
Comment 10 Nate Straz 2012-08-31 15:45:30 EDT
Created attachment 608657 [details]
File: open_fds
Comment 11 Andrew Beekhof 2012-09-03 23:16:32 EDT
This was fixed upstream by:

  https://github.com/beekhof/pacemaker/commit/d11c140

which is already present in 1.1.8-2
Comment 12 Nate Straz 2012-09-05 11:02:14 EDT
(In reply to comment #11)
> This was fixed upstream by:
> 
>   https://github.com/beekhof/pacemaker/commit/d11c140
> 
> which is already present in 1.1.8-2

No such build is in brew.
Comment 13 Andrew Beekhof 2012-09-06 23:18:11 EDT
WTH.  I'm sure I did a build.
In any case, I'll do another on monday and the fix will be included then.

Note You need to log in before you can comment on or make changes to this bug.